summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDaniel P. Berrange <berrange@redhat.com>2007-07-20 15:26:08 -0400
committerDaniel P. Berrange <berrange@redhat.com>2007-07-20 15:26:08 -0400
commit07c89c3f5ef84aaee6faded8b78a07c87ba25d7e (patch)
treee09814f8268b3d7c9e116c6e180d279fae0854ad /autogen.sh
Initial commit
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..3ae971a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+set -e
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+THEDIR=`pwd`
+cd $srcdir
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile virt-viewer."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/autoconf"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ DIE=1
+ echo "You must have automake installed to compile virt-viewer."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/automake"
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with --enable-warnings - if you "
+ echo "wish to pass any extra arguments to it, please specify them on "
+ echo "the $0 command line."
+fi
+
+aclocal
+automake --add-missing
+autoconf
+
+cd $THEDIR
+
+$srcdir/configure --enable-warnings "$@" && {
+ echo
+ echo "Now type 'make' to compile gtk-vnc."
+}